List
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/device_event_samples \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/device_event_samples"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/device_event_samples', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/device_event_samples",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 1,
"device_event_sample_group_id": 1,
"value": 10,
"device_event_protocol_result_id": 1,
"created_at": "2025-06-12T14:32:32-03:00",
"modified_at": "2025-06-12T14:32:32-03:00",
"deleted_at": null,
"active": true
},
{
"id": 2,
"device_event_sample_group_id": 1,
"value": 0,
"device_event_protocol_result_id": 2,
"created_at": "2025-06-12T14:32:32-03:00",
"modified_at": "2025-06-12T14:32:32-03:00",
"deleted_at": null,
"active": true
},
{
"id": 3,
"device_event_sample_group_id": 1,
"value": 0,
"device_event_protocol_result_id": 3,
"created_at": "2025-06-12T14:32:32-03:00",
"modified_at": "2025-06-12T14:32:32-03:00",
"deleted_at": null,
"active": true
},
{
"id": 4,
"device_event_sample_group_id": 1,
"value": 0,
"device_event_protocol_result_id": 4,
"created_at": "2025-06-12T14:32:32-03:00",
"modified_at": "2025-06-12T14:32:32-03:00",
"deleted_at": null,
"active": true
},
{
"id": 9,
"device_event_sample_group_id": 3,
"value": 33,
"device_event_protocol_result_id": 9,
"created_at": "2025-06-12T16:19:09-03:00",
"modified_at": "2025-06-12T16:19:09-03:00",
"deleted_at": null,
"active": true
},
{
"id": 10,
"device_event_sample_group_id": 3,
"value": 0,
"device_event_protocol_result_id": 10,
"created_at": "2025-06-12T16:19:09-03:00",
"modified_at": "2025-06-12T16:19:09-03:00",
"deleted_at": null,
"active": true
},
{
"id": 11,
"device_event_sample_group_id": 3,
"value": 0,
"device_event_protocol_result_id": 11,
"created_at": "2025-06-12T16:19:09-03:00",
"modified_at": "2025-06-12T16:19:09-03:00",
"deleted_at": null,
"active": true
},
{
"id": 12,
"device_event_sample_group_id": 3,
"value": 0,
"device_event_protocol_result_id": 12,
"created_at": "2025-06-12T16:19:09-03:00",
"modified_at": "2025-06-12T16:19:09-03:00",
"deleted_at": null,
"active": true
},
{
"id": 29,
"device_event_sample_group_id": 8,
"value": 2,
"device_event_protocol_result_id": 17,
"created_at": "2025-06-24T10:50:16-03:00",
"modified_at": "2025-06-24T10:50:16-03:00",
"deleted_at": null,
"active": true
},
{
"id": 30,
"device_event_sample_group_id": 8,
"value": 0,
"device_event_protocol_result_id": 18,
"created_at": "2025-06-24T10:50:16-03:00",
"modified_at": "2025-06-24T10:50:16-03:00",
"deleted_at": null,
"active": true
}
],
"current_page": 1,
"next_page": 2,
"total_pages": 5969,
"total_items": 59682
}Version 3 > IOT > Device Event Sample
List
GET
/
api
/
v3
/
third_party
/
device_event_samples
List
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
200 - application/json
OK
The response is of type object.

